.hero {
    position: relative;
    height: 450px;
    width: 100%;
    max-width: 1360px;
    padding: var(--space-l);
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    background-position: right;
    overflow: hidden;
    gap: var(--space-l);

    .hero__video {
        width: 100%;
        position: absolute;
        inset: 0;
        object-position: center;
        object-fit: cover;
        max-height: 600px;
    }

    .hero__video-overlay {
        opacity: 0;
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: rgba(0, 38, 61, 0.7);
        font-size: var(--step-3);
        color: #ffde00;
        z-index: 1;
        transition: opacity 0.1s ease-in-out;
    }
    
    .hero__image {
        position: absolute;
        inset: 0;
        object-fit: cover;
        max-height: 600px;
        width: 100%;
        height: 100%;
        z-index: -1;
    }   
}

.hero--video {
    padding: 0;
}

.hero--video:is(:hover, :focus) {
    .hero__video-overlay {
        opacity: 1;
    }
}

.offers {
	display: grid;
	padding: var(--space-m) 0px 0px;
	gap: var(--space-s);
	
    .offers__media {
    	position: absolute;
        object-fit: cover;
        height: 100%;
        width: 100%;
        object-position: 50% 30%;
    }
    
    .offers__media--video {
        object-position: 50% 70%;
    }
    
    .offers__text, .offers__content {
        position: relative;
        max-height: 270px;
        z-index: 1;
        padding: var(--space-s);
    }

    .offers__content {
        height: 100%;
        padding: var(--space-s);
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: space-between;
    }
    
    .offers__tile {
        position: relative;
        height: 100%;
        width: 100%;
        min-height: 100%;
    }
    
    .offers__tile:is(:hover, :focus) {
      .offers__button, .offers__tile-bottom-button {
        background-color: #008cba;
        color: #fff;
      }
    
      .offers__button--secondary, .offers__tile-bottom-button--secondary {
        background-color: #ffdc00;
        color: #00263d;
      }
    
      .offers__tile-hover-content {
        display: flex;
      }
    }
    
    .offers__tile-bottom-button, .offers__tile-bottom-button--secondary {
    	position: absolute;
    	bottom: 0;
    	left: 0;
    	width: 100%;
        padding: 8px 0;
        z-index: 1;
    }
    
    .offers__tile-bottom-button--secondary {
    	background-color: rgba(0, 38, 61, 0.65);
    	color: #fff;
    }
    
    .offers__tile-hover-content {
    	position: absolute;
        inset: 0;
    	height: 100%;
    	width: 100%;
    	display: none;
        flex-direction: column;
        padding: 16px;
    	align-items: center;
        text-align: center;
    	justify-content: center;
    	background-color: rgba(0, 38, 61, 0.7);
    }
}


.card-container #items .item {
    flex: 45%;
}

.card-container #items .item:first-child {
    flex: 100%;
}


@media only screen and (max-width: 992px) {
    .offers {
        display: flex;
		flex-flow: row wrap;

        .offers__media {
            object-position: right;
        }
    }

}

@media only screen and (max-width: 768px) {
    .hero {
        background-position: left;
        gap: var(--space-s);
    }

    .offers__tile--shadowed::before {
        content: "";
        position: absolute;
        inset: 0;
        background: rgba(0, 0, 0, 0.4);
        z-index: 1;
        pointer-events: none;
    }
}